using System;
using System.Collections;
using System.Xml.Serialization;

namespace Defining_Config_Info
{
	/// <summary>
	/// Summary description for AppConfig.
	/// </summary>
	[Serializable]
	public class TabConfig
	{
		private ArrayList alTabs;
		public TabConfig()
		{
			alTabs = new ArrayList();
		}

		public ApplicationTab[] Tabs
		{
			get
			{
				ApplicationTab[] returnArray = (ApplicationTab[])alTabs.ToArray(typeof(ApplicationTab));
				return returnArray;
			}
			set
			{
				alTabs.Clear();
				alTabs.AddRange(value);
			}
		}

		public ApplicationTab AddTab(string label, System.Drawing.Color backColor, string message)
		{
			ApplicationTab appTab = new ApplicationTab(backColor, label, message);
			alTabs.Add(appTab);
			return appTab;
		}
	}
}
