using Microsoft.Practices.EnterpriseLibrary.Caching;
using Microsoft.Practices.EnterpriseLibrary.Caching.Configuration;
using Microsoft.Practices.EnterpriseLibrary.Configuration;
using Microsoft.Practices.EnterpriseLibrary.Common;

namespace XmlFileBackingStore.Tests
{
    public class TestCachingConfigurationView : CachingConfigurationView
    {
        public CacheStorageData data;

        public TestCachingConfigurationView(CacheStorageData data, ConfigurationContext context) : base(context)
        {
            this.data = data;
        }

        public override CacheStorageData GetCacheStorageDataForCacheManager(string cacheManagerName)
        {
            return data;
        }
    }
}