#if  UNIT_TESTS

namespace DatabaseDistributor.Tests
{
    public class DatabaseDistributorServiceTestFacade : DatabaseDistributorService
    {
        public const string MockServiceName = "Mock Database Distributor Service";

        public DatabaseDistributorServiceTestFacade()
        {
            this.ServiceName = MockServiceName;
            this.EventLogger.ApplicationName = ServiceName;
        }

        private ServiceStatus status;

        public override ServiceStatus Status
        {
            get { return status; }
            set { status = value; }
        }

        new public void OnContinue()
        {
            base.OnContinue();
        }

        public void Initialize()
        {
            base.InitializeComponent();
        }

        public void OnStart()
        {
            base.OnStart(null);
        }

        new public void OnStop()
        {
            base.OnStop();
        }

        new public void OnPause()
        {
            base.OnPause();
        }
    }
}

#endif