#if UNIT_TESTS
using Microsoft.Practices.EnterpriseLibrary.Configuration;
using Microsoft.Practices.EnterpriseLibrary.Security;
using Microsoft.Practices.EnterpriseLibrary.Security.Configuration;
using EAF.Security.PortalProfile.Configuration;

namespace EAF.Security.PortalProfile.Tests
{
    public class TestProfileConfigurationView : SecurityConfigurationView
    {
        public PortalProfileProviderData data;

        public TestProfileConfigurationView(PortalProfileProviderData data, ConfigurationContext context) : base(context)
        {
            this.data = data;
        }

        public override ProfileProviderData GetProfileProviderData(string profileProviderName)
        {
            return data;
        }

    }
}

#endif