using System;
using System.Collections.Specialized;
using EnterpriseApplicationFramework.Data;

namespace EAF.Security.PortalProfile
{
	/// <summary>
	/// Summary description for PortalProfileMapper.
	/// </summary>
	public class PortalProfileMapper : DataMapper
	{
		public PortalProfileMapper()
		{
		}
	
		protected override System.Data.DataSet DataSetType()
		{
			return new PortalProfile();
		}

		public PortalProfile GetProfile(string userName)
		{
			return (PortalProfile)base.GetObject(userName);
		}

		public void SetProfile(string userName, PortalProfile profile)
		{
			ListDictionary explicitParams = new ListDictionary();
			explicitParams.Add("@userName",userName);
			this.set_ExplicitParameters(profile.PortalProfiles.TableName,explicitParams);
			base.PutObject(profile);
		}
	}
}
